### Function

# Pango scan_word

deprecated: 1.38

#### Declaration [src]

    gboolean
    pango_scan_word (
      const char** pos,
      GString* out
    )

#### Description [src]

Scans a word into a `GString` buffer.

A word consists of [A-Za-z_] followed by zero or more [A-Za-z_0-9]. Leading white space is skipped.

Deprecated since: 1.38

Please do not use it in newly written code.

#### Parameters

`pos`

  Type: `const char**`

  In/out string position.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`out`

  Type: `GString`

  A `GString` into which to write the result.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`FALSE` if a parse error occurred.